## dcl-c 7.0.1

=== bin/Makefile ===
#
#       Makefile for bin
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

LIBSRCS 	= $(DCLCONFVER) $(DCLCC)
INSTSRC		= cdcldate$(EXT) cdclver$(EXT) cdclexec$(EXT) cdcltrf$(EXT) \
		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
			cdclfontlist$(EXT) cdclsysfont$(EXT) cdclfontdialog$(EXT) \
		  cdclps2kdraw	cdclpscat	cdclpsfix \
		  cdclpsfont	cdclpsline	cdclpsmargin \
		  cdclpsmerge	cdclpsnup	cdclpsrgb2cmyk \
		  cdclpsrmcm	cdclpsrot	cdclpsselect \
		  dclpsseparate	dclpsunrot


all: $(DCLCONFVER) $(DCLCC)

$(DCLCONFVER): dclconfig.org
	@echo "Making shell script $(DCLCONFVER)"
	@$(SED) \
	     -e 's!@prefix@!$(prefix)!' \
	     -e 's!@DCLVERSION@!$(DCLVERSION)!' \
	     -e 's!@DCLVERNUM@!$(DCLVERNUM)!' \
	     -e 's!@DCLLANG@!$(DCLLANG)!' \
	     -e 's!@BINDIR@!$(BINDIR)!' \
	     -e 's!@LIBDIR@!$(LIBDIR)!' \
	     -e 's!@INCDIR@!$(INCDIR)!' \
	     -e 's!@DCLLIBNAME@!$(DCLLIBNAME)!' \
	     -e 's!@DCLLIBFILE@!$(DCLLIBFILE)!' \
	     -e 's!@DCLLIBOPT@!$(DCLLIBOPT)!' \
	     -e 's!@DCLLIBPATH@!$(DCLLIBPATH)!' \
	     -e 's!@DBASENAME@!$(DBASENAME)!' \
	     -e 's!@DBASEDIR@!$(DBASEDIR)!' \
	     -e 's!@XINCPATH@!$(XINCPATH)!' \
	     -e 's!@XLIBPATH@!$(XLIBPATH)!' \
	     -e 's!@XLIBOPT@!$(XLIBOPT)!' \
	     -e 's!@CC@!$(CC)!' \
	     -e 's!@CFLAGS@!$(CFLAGS)!' \
	     -e 's!@FC@!$(FC)!' \
	     -e 's!@FFLAGS@!$(FFLAGS)!' \
	     -e 's!@LDFLAGS@!$(LDFLAGS)!' \
	     -e 's!@LDLIBS@!$(LDLIBS)!' \
	     -e 's!@GTKVERSION@!$(GTKVERSION)!' \
	         dclconfig.org > $(DCLCONFVER)
	@chmod +x $(DCLCONFVER)


$(DCLCC): dclcc.org
	@echo "Making shell script $(DCLCC)"
	@sed -e 's!@PATH@!$(BINDIR)!' dclcc.org > $(DCLCC)
	@chmod +x $(DCLCC)

install:
	@-if (test $(BINDIR) != $(LBINDIR)) then \
	$(CP) $(LIBSRCS) $(INSTSRC) $(BINDIR); fi
	$(RM) $(BINDIR)/$(DCLCONFIG)
	ln -s $(DCLCONFVER) $(BINDIR)/$(DCLCONFIG)

clean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLCC)

distclean:
	$(RM) *~ $(INSTSRC) $(DCLCONFIG) $(DCLCONFVER) $(DCLCC)

=== demo/misc1/chglib/Makefile ===
#
#       Makefile for chglib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= chglib
LIBSRCS		= chgl01.c
LIBDEMO 	= chgl01
LIBEXEC 	= chgl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/misc1/randlib/Makefile ===
#
#       Makefile for randlib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= randlib
LIBSRCS		= rand01.c
LIBDEMO 	= rand01
LIBEXEC 	= rand01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== src/grph1/szpack/Makefile ===
#
#       Makefile for szpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= szpack
LIBFSRCS	= szplop.c szplzu.c szplzv.c szplzr.c szpmop.c szpmzu.c \
		  szpmzv.c szpmzr.c sztxop.c sztxzu.c sztxzv.c sztxzr.c \
		  sztnop.c sztnzu.c sztnzv.c sztnzr.c szlnop.c szlnzu.c \
		  szlnzv.c szlnzr.c szlaop.c szlazu.c szlazv.c szlazr.c \
		  szl3op.c szl3zu.c szl3zv.c szm3op.c szm3zu.c szm3zv.c \
		  szt3op.c szt3zu.c szt3zv.c szslti.c szstyp.c szsidx.c \
		  szoplu.c szoplt.c szoplv.c szopsv.c szoplc.c szopld.c \
		  szoplp.c szoplr.c szoplz.c szopl3.c szstni.c szoptu.c \
		  szoptt.c szoptv.c szoptp.c szoptr.c szoptz.c szopts.c \
		  sztnsv.c sztxwv.c szqtxw.c szfint.c szcltn.c szpipl.c \
		  szpipt.c szpipz.c szpclx.c szpcly.c szpcll.c szsgcl.c \
		  szxmod.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= szplop.o szplzu.o szplzv.o szplzr.o szpmop.o szpmzu.o \
		  szpmzv.o szpmzr.o sztxop.o sztxzu.o sztxzv.o sztxzr.o \
		  sztnop.o sztnzu.o sztnzv.o sztnzr.o szlnop.o szlnzu.o \
		  szlnzv.o szlnzr.o szlaop.o szlazu.o szlazv.o szlazr.o \
		  szl3op.o szl3zu.o szl3zv.o szm3op.o szm3zu.o szm3zv.o \
		  szt3op.o szt3zu.o szt3zv.o szslti.o szstyp.o szsidx.o \
		  szoplu.o szoplt.o szoplv.o szopsv.o szoplc.o szopld.o \
		  szoplp.o szoplr.o szoplz.o szopl3.o szstni.o szoptu.o \
		  szoptt.o szoptv.o szoptp.o szoptr.o szoptz.o szopts.o \
		  sztnsv.o sztxwv.o szqtxw.o szfint.o szcltn.o szpipl.o \
		  szpipt.o szpipz.o szpclx.o szpcly.o szpcll.o szsgcl.o \
		  szxmod.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/grph2/uwpack/Makefile ===
#
#       Makefile for uwpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#
include ../../../Mkinclude

.SUFFIXES: $(SUFFIXES) .g

LIBNAME		= uwpack
LIBFSRCS1	= uwsgxa.c uwsgya.c uwqgxi.c uwqgyi.c ruwgx.c  ruwgy.c
LIBFSRCS2	= iuwgx.c  iuwgy.c  uwdflt.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uwsgxa.o uwsgya.o uwqgxi.o uwqgyi.o ruwgx.o  ruwgy.o  \
		  iuwgx.o  iuwgy.o  uwdflt.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)

all: source object

.g.c:
	@echo "Substituting maximum number of grid points" $< "->" $@
	@sed -e "s!@MAXNGRID!$(MAXNGRID)!g" $< > $@

source: $(LIBFSRCS1)

object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ $(LIBFSRCS1)

=== src/grph2/uypack/Makefile ===
#
#       Makefile for uypack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uypack
LIBFSRCS	= uyptmz.c uyplba.c uyplbb.c uysaxz.c uysaxs.c uysoff.c \
		  uypaxs.c uyptmk.c uyplbl.c uypnum.c uypttl.c uyaxlb.c \
		  uyaxnm.c uyaxdv.c uymttl.c uysttl.c luychk.c uysfmt.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uyptmz.o uyplba.o uyplbb.o uysaxz.o uysaxs.o uysoff.o \
		  uypaxs.o uyptmk.o uyplbl.o uypnum.o uypttl.o uyaxlb.o \
		  uyaxnm.o uyaxdv.o uymttl.o uysttl.o luychk.o uysfmt.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl-c (7.0.1-3) unstable; urgency=medium

  * Drop transitional packages

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 27 Jul 2016 11:45:34 +0200

dcl-c (7.0.1-2) unstable; urgency=medium

  * Drop dcl-c-utils
  * Add empty manpages
  * Update patch: enable hardening
  * Update: create libcdcl7.triggers for jessie

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 27 Jul 2016 09:44:20 +0200

dcl-c (7.0.1-1) unstable; urgency=medium

  * Imported Upstream version 7.0.1
  * Remove junk files in upstream tarball
  * Update: Bump soname, create new shared library package
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 20 Jul 2016 16:36:18 +0900

=== debian/control ===
Source: dcl-c
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9.0~),
	dpkg-dev (>= 1.16.1~),
	autotools-dev,
	libx11-dev,
	libgtk2.0-dev,
	libglib2.0-dev,
	chrpath,
	rdtool
Standards-Version: 3.9.8
Homepage: http://www.gfd-dennou.org/library/dcl

Package: dcl-c
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libcdcl-dev, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - C version
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage, install libcdcl-dev

Package: libcdcl-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Breaks: dcl-c-utils (<< 7~)
Replaces: dcl-c-utils (<< 7~)
Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dclfonts,
	libcdcl7 (= ${binary:Version}),
	libx11-dev,
	libgtk2.0-dev,
	libglib2.0-dev
Description: GFD-DENNOU Club Library (DCL) - C ver. - static libraries and header files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static libraries, header, wrapper scripts.

Package: libcdcl7
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcdcl5 (<< 6.0.2-3~), libcdcl-dbg (<< 6.0.2-3~), libcdcl6 (<< 7)
Replaces: libcdcl5, libcdcl6
Description: GFD-DENNOU Club Library (DCL) - C ver. - shared libraries
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provide shared libraries and database files

Package: dcl-c-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - C ver. - documents
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides document and demo programs.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
FFLAGS += -fPIC
CFLAGS += -fPIC

%:
	dh $@

override_dh_auto_configure:
	$(shell ! grep -q jessie /etc/os-release || \
	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libcdcl7.triggers )
	for f in cdclcc cdclclr cdclcmap cdclconfig cdclconfig701 cdcldate cdcldbs cdclexec cdclfont cdclpara cdcltone cdcltrf cdclver crepsl; do \
	  ( cd $(CURDIR)/debian && sh ./generate_man.sh $$f ) ;\
	done
	CC=gcc dh_auto_configure -- $(shell dpkg-buildfalgs --export=configure)

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	find $(CURDIR)/debian/tmp/usr/bin/ -type f \
	  ! -name "*dclps*" \
	  ! -name "cdclcc"  \
	  ! -name "cdclconfig*" \
	  | xargs chrpath -d
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf2c4dcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.7.0.1 \
	  `find $(CURDIR)/f2csrc -name \*.o`
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libcdcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.7.0.1 \
	  `find $(CURDIR)/src -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.7.0.1 libcdcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.7.0.1 libcdcl.so )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.7.0.1 libf2c4dcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.7.0.1 libf2c4dcl.so )


override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/debian/*.1
	rm -f $(CURDIR)/bin/cdclpsseparate
	rm -f $(CURDIR)/bin/cdclpsunrot

override_dh_installchangelogs:
	dh_installchangelogs --all --keep HISTORY

## dcl-c 7.1.1

=== bin/Makefile ===
--- 
+++ 
@@ -11,14 +11,8 @@
 		  cdclclr$(EXT)  cdcldbs$(EXT) cdclfont$(EXT) cdclpara$(EXT) \
 		  cdcltone$(EXT) cdclcmap$(EXT) crepsl$(EXT) \
 			cdclfontlist$(EXT) cdclsysfont$(EXT) cdclfontdialog$(EXT) \
-		  cdclps2kdraw	cdclpscat	cdclpsfix \
-		  cdclpsfont	cdclpsline	cdclpsmargin \
-		  cdclpsmerge	cdclpsnup	cdclpsrgb2cmyk \
-		  cdclpsrmcm	cdclpsrot	cdclpsselect \
-		  dclpsseparate	dclpsunrot
 
-
-all: $(DCLCONFVER) $(DCLCC)
+all: $(DCLCONFVER) $(DCLFRT) $(DCLCC)
 
 $(DCLCONFVER): dclconfig.org
 	@echo "Making shell script $(DCLCONFVER)"

=== demo/math1/indxlib/Makefile ===
#
#       Makefile for indxlib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= indxlib
LIBSRCS		= indx01.c     indx02.c
LIBDEMO 	= indx01       indx02
LIBEXEC 	= indx01$(EXT) indx02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/vralib/Makefile ===
#
#       Makefile for vralib (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vralib
LIBSRCS		= vral01.c     vral02.c
LIBDEMO 	= vral01       vral02
LIBEXEC 	= vral01$(EXT) vral02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/rakuraku/layout/Makefile ===
#
#       Makefile for layout (rakuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= layout
LIBSRCS		= lay1.c     lay2.c     lay3.c
LIBDEMO		= lay1       lay2       lay3
LIBEXEC		= lay1$(EXT) lay2$(EXT) lay3$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== src/env1/bitmap/Makefile ===
#
#       Makefile for bitmap
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude


all: $(LDBASEDIR)/bitmap.x11

$(LDBASEDIR)/bitmap.x11: bitmap.x11
	@echo "Installing bitmap file bitmap.x11 into local dcldbase directory"
	@$(CP) bitmap.x11 $(LDBASEDIR)/bitmap.x11

bitmap.x11: bmcx11 bitm16z.asc
	@echo "Creating bitmap file bitmap.x11"
	@echo "'bitm16z.asc' 'bitmap.x11'" | ./bmcx11

bmcx11: bmcx11.c
	$(CC) $(CFLAGS) -I$(LINCDIR) -o bmcx11 bmcx11.c -L$(LLIBDIR) $(F2CLIBOPT) $(MATHLIBOPT)

clean:
	$(RM) *.o *~ bmcx11$(EXT) bitmap.x11

=== src/env1/mapdata/Makefile ===
#
#       Makefile for mapdata
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

MAPDATAF	= coast_world.asc          border_world.asc          \
		  plate_world.asc          state_usa.asc             \
		  coast_japan.asc          pref_japan.asc
MAPDATAB	= coast_world              border_world              \
		  plate_world              state_usa                 \
		  coast_japan              pref_japan
MAPDATAI	= $(LDBASEDIR)/coast_world $(LDBASEDIR)/border_world \
		  $(LDBASEDIR)/plate_world $(LDBASEDIR)/state_usa    \
		  $(LDBASEDIR)/coast_japan $(LDBASEDIR)/pref_japan
MAPDATAFR	= coast_world_1.asc
MAPDATABR	= coast_world_1
MAPDATAIR	= $(LDBASEDIR)/coast_world_1

CVMAPD		= ./cvmapd
RMAPD1		= ./rmapd1


all: $(MAPDATAI) $(MAPDATAIR)

$(LDBASEDIR)/coast_world: coast_world
	@echo "Installing map file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/border_world: border_world
	@echo "Installing map file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/plate_world: plate_world
	@echo "Installing map file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/state_usa: state_usa
	@echo "Installing map file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/coast_japan: coast_japan
	@echo "Installing map file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/pref_japan: pref_japan
	@echo "Installing map file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/coast_world_1: coast_world_1
	@echo "Installing map file $? into local dcldbase directory"
	@$(CP) $? $@

coast_world: coast_world.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

coast_world_1: coast_world_1.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

border_world: border_world.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

plate_world: plate_world.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

state_usa: state_usa.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

coast_japan: coast_japan.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

pref_japan: pref_japan.asc $(CVMAPD)
	@echo "Creating map data $@"
	@$(RM) $@
	@echo "'$@.asc' '$@'" | $(CVMAPD)

$(CVMAPD): $(CVMAPD).c
	$(CC) $(CFLAGS) -I$(LINCDIR) -o $(CVMAPD) $(CVMAPD).c -L$(LLIBDIR) $(F2CLIBOPT) $(MATHLIBOPT)

coast_world_1.asc: coast_world.asc $(RMAPD1)
	@echo "Creating sub-map data $@"
	@$(RM) $@
	@echo "'coast_world.asc' 'coast_world_1.asc'" | $(RMAPD1)

$(RMAPD1): $(RMAPD1).c
	$(CC) $(CFLAGS) -I$(LINCDIR) -o $(RMAPD1) $(RMAPD1).c -L$(LLIBDIR) $(F2CLIBOPT) $(MATHLIBOPT)

clean:
	$(RM) *.o *~ $(CVMAPD)$(EXT) $(RMAPD1)$(EXT) core \
	$(MAPDATAB) $(MAPDATABR) $(MAPDATAFR)

=== src/env2/dclclr/Makefile ===
#
#       Makefile for dclclr
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

SRCNAME = dclclr.c
BINNAME = cdclclr$(EXT)

all: $(LBINDIR)/$(BINNAME)

$(LBINDIR)/$(BINNAME): $(BINNAME)
	@echo "Installing executable program $(BINNAME) into local bin directory"
	@$(CP) $(BINNAME) $(LBINDIR)/$(BINNAME)

$(BINNAME): $(SRCNAME)
	$(CC) $(CFLAGS) -I$(LINCDIR) -o $(BINNAME) $(SRCNAME) -L$(LLIBDIR) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) *.o *~ $(BINNAME) core

=== src/env2/dcldbs/Makefile ===
#
#       Makefile for dcldbs
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

SRCNAME = dcldbs.c
BINNAME = cdcldbs$(EXT)

all: $(LBINDIR)/$(BINNAME)

$(LBINDIR)/$(BINNAME): $(BINNAME)
	@echo "Installing executable program $(BINNAME) into local bin directory"
	@$(CP) $(BINNAME) $(LBINDIR)/$(BINNAME)

$(BINNAME): $(SRCNAME)
	$(CC) $(CFLAGS) -I$(LINCDIR) -o $(BINNAME) $(SRCNAME) -L$(LLIBDIR) $(LDFLAGS) $(LDLIBS)

clean:
	$(RM) *.o *~ $(BINNAME) core

=== src/grph2/ucpack/Makefile ===
#
#       Makefile for ucpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ucpack
LIBFSRCS	= nucchr.c nucday.c uciget.c uciqnp.c uclget.c uclqnp.c \
		  ucrget.c ucrqnp.c ucpget.c ucpqnp.c ucxacl.c ucxady.c \
		  ucxamn.c ucxayr.c ucyacl.c ucyady.c ucyamn.c ucyayr.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= nucchr.o nucday.o uciget.o uciqnp.o uclget.o uclqnp.o \
		  ucrget.o ucrqnp.o ucpget.o ucpqnp.o ucxacl.o ucxady.o \
		  ucxamn.o ucxayr.o ucyacl.o ucyady.o ucyamn.o ucyayr.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/grph2/umpack/Makefile ===
#
#       Makefile for umpack
#
#       Copyright (C) 2000 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= umpack
LIBFSRCS	= umpmap.c umqfnm.c umpglb.c umpgrd.c umplim.c uminit.c \
		  umscnt.c umscwd.c umspnt.c umpfit.c umiget.c umiqnp.c \
		  umlget.c umlqnp.c umrget.c umrqnp.c umpget.c umpqnp.c \
		  umspct.c umspcw.c umspwd.c umsppt.c umspdf.c umbndc.c \
		  umbndp.c umbndr.c umqtxy.c umstvz.c umsgrd.c umscom.c \
		  umfmap.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= umpmap.o umqfnm.o umpglb.o umpgrd.o umplim.o uminit.o \
		  umscnt.o umscwd.o umspnt.o umpfit.o umiget.o umiqnp.o \
		  umlget.o umlqnp.o umrget.o umrqnp.o umpget.o umpqnp.o \
		  umspct.o umspcw.o umspwd.o umsppt.o umspdf.o umbndc.o \
		  umbndp.o umbndr.o umqtxy.o umstvz.o umsgrd.o umscom.o \
		  umfmap.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/grph2/uvpack/Makefile ===
#
#       Makefile for uvpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uvpack
LIBFSRCS	= uverb.c  uverbz.c uvdif.c  uvdifz.c uvbrf.c  uvbrfz.c \
		  uvbra.c  uvbraz.c uvbrl.c  uvbrlz.c uvbxf.c  uvbxfz.c \
		  uvbxa.c  uvbxaz.c uvbxl.c  uvbxlz.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= uverb.o  uverbz.o uvdif.o  uvdifz.o uvbrf.o  uvbrfz.o \
		  uvbra.o  uvbraz.o uvbrl.o  uvbrlz.o uvbxf.o  uvbxfz.o \
		  uvbxa.o  uvbxaz.o uvbxl.o  uvbxlz.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/math1/fnclib/Makefile ===
#
#       Makefile for fnclib
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fnclib
LIBFSRCS	= igus.c imod.c rmod.c rexp.c rd2r.c rr2d.c rfpi.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= igus.o imod.o rmod.o rexp.o rd2r.o rr2d.o rfpi.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl-c (7.1.1-4) unstable; urgency=medium

  * Fix -fdebug-prefix-map in cdclconfig

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 24 Sep 2016 00:01:38 +0900

dcl-c (7.1.1-3) unstable; urgency=medium

  * Update debian/changelog

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 21 Sep 2016 19:00:12 +0900

dcl-c (7.1.1-2) unstable; urgency=medium

  * Drop obsolete linking

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 20 Sep 2016 18:41:28 +0900

dcl-c (7.1.1-1) unstable; urgency=medium

  * New upstream version 7.1.1
  * Update refresh patches
  * Update package structure, drop Postscript handler

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 20 Sep 2016 17:51:39 +0900

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,7 @@
 	autotools-dev,
 	libx11-dev,
 	libgtk2.0-dev,
-	libglib2.0-dev,
-	chrpath,
-	rdtool
+	libglib2.0-dev
 Standards-Version: 3.9.8
 Homepage: http://www.gfd-dennou.org/library/dcl
 
@@ -33,10 +31,9 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: dcl-c-utils (<< 7~)
-Replaces: dcl-c-utils (<< 7~)
-Depends: ${shlibs:Depends}, ${misc:Depends}, fonts-dclfonts,
+Depends: ${shlibs:Depends}, ${misc:Depends},
 	libcdcl7 (= ${binary:Version}),
+	fonts-dclfonts,
 	libx11-dev,
 	libgtk2.0-dev,
 	libglib2.0-dev

## dcl-c 7.1.3

=== lib/Makefile ===
#
#       Makefile for lib
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude


install:
	@-if test $(LIBDIR) != $(LLIBDIR); then \
	  $(CP) $(LDCLLIBFILE) $(DCLLIBFILE); \
	  if test -f $(LDCLSHLIBFILE); then $(CP) $(LDCLSHLIBFILE) $(DCLSHLIBFILE); fi; \
	  $(CP) $(LF2CLIBFILE) $(F2CLIBFILE); \
	  $(CP) $(LDBASEDIR)/* $(DBASEDIR); fi
	$(RANLIB) $(DCLLIBFILE)
	$(RANLIB) $(F2CLIBFILE)

clean: clean.local

distclean: clean.local clean.lib

clean.local:
	$(RM) *~

clean.lib:
	$(RM) $(LDCLLIBFILE)
	$(RM) $(LDCLSHLIBFILE)
	$(RM) $(LDBASEDIR)/*

=== src/Makefile ===
#
#       Makefile for src
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude

OBJDIRS		= math1 misc1 grph1 math2 grph2
ALLDIRS		= math1 misc1 grph1 env1 math2 grph2 env2

object:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i/" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library:
	@for i in $(OBJDIRS) ; do \
	  cd $$i ; \
	  echo "Making a library file with $$i/" ; \
	  $(MAKE) library ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

dbase:
	@cd env1 ; \
	echo "Making database in env1/" ; \
	$(MAKE) ; \
	cd ..

exec:
	@cd env2 ; \
	echo "Making exec files in env2/" ; \
	$(MAKE) ; \
	cd ..

clean: clean.local clean.dir

distclean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(ALLDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i/" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/env2/Makefile ===
#
#       Makefile for env2
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= dcldate dclver dclexec dcltrf dclclr dcldbs \
		  dclfont dclpara dcltone dclcmap repsl \
			dclfontlist dclsysfont dclfontdialog


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making exec file for $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== src/misc2/Makefile ===
#
#       Makefile for misc2
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		=


object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/grph2/udegpk/Makefile ===
#
#       Makefile for udegpk (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= udegpk
LIBSRCS		= u2df01.c      u2df02.c      u2df03.c      u2df04.c     \
		  u2df05.c      u2df06.c      u2df07.c      u2df08.c     \
		  u2df09e.c     u2df09b.c     u2df09f.c     u2df09c.c
LIBDEMO		= u2df01        u2df02        u2df03        u2df04       \
		  u2df05        u2df06        u2df07        u2df08       \
		  u2df09e       u2df09b       u2df09f       u2df09c
LIBEXEC		= u2df01$(EXT)  u2df02$(EXT)  u2df03$(EXT)  u2df04$(EXT) \
		  u2df05$(EXT)  u2df06$(EXT)  u2df07$(EXT)  u2df08$(EXT) \
		  u2df09e$(EXT) u2df09b$(EXT) u2df09f$(EXT) u2df09c$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/umpack/Makefile ===
#
#       Makefile for umpack (demo)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= umpack
LIBSRCS		= test01.c     test02.c     test03.c     test04.c     \
		  test05.c     test06.c     test07.c     test08.c     \
		  test09.c     umpk01.c     umpk02.c     umpk03.c     \
		  umpk04.c     umpk05.c     test10.c
LIBDEMO		= test01       test02       test03       test04       \
		  test05       test06       test07       test08       \
		  test09       umpk01       umpk02       umpk03       \
		  umpk04       umpk05       test10
LIBEXEC		= test01$(EXT) test02$(EXT) test03$(EXT) test04$(EXT) \
		  test05$(EXT) test06$(EXT) test07$(EXT) test08$(EXT) \
		  test09$(EXT) umpk01$(EXT) umpk02$(EXT) umpk03$(EXT) \
		  umpk04$(EXT) umpk05$(EXT) test10$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/rakuraku/kihon/Makefile ===
#
#       Makefile for kihon (rakuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= kihon
LIBSRCS		= kihon1.c     kihon2.c     kihon3.c     kihon4.c     \
		  kihon5.c     kihon6.c     kihon7.c     kihon8.c     \
		  kihon9.c     kihona.c     kihonb.c     kihonc.c
LIBDEMO		= kihon1       kihon2       kihon3       kihon4       \
		  kihon5       kihon6       kihon7       kihon8       \
		  kihon9       kihona       kihonb       kihonc
LIBEXEC		= kihon1$(EXT) kihon2$(EXT) kihon3$(EXT) kihon4$(EXT) \
		  kihon5$(EXT) kihon6$(EXT) kihon7$(EXT) kihon8$(EXT) \
		  kihon9$(EXT) kihona$(EXT) kihonb$(EXT) kihonc$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/rakuraku/map3d/Makefile ===
#
#       Makefile for map3d (rakuraku)
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= map3d
LIBSRCS		= map3d1.c     map3d2.c     map3d3.c     map3d4.c     \
		  map3d5.c     map3d6.c
LIBDEMO		= map3d1       map3d2       map3d3       map3d4       \
		  map3d5       map3d6
LIBEXEC		= map3d1$(EXT) map3d2$(EXT) map3d3$(EXT) map3d4$(EXT) \
		  map3d5$(EXT) map3d6$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== doc/grph2/uspack/Makefile ===
#
#       Makefile for grph2/uspack
#

include ../../../Mkinclude

LIBOBJS		= uscnf
EPSFILES	= uscnf_0001.eps


all: mkobj $(EPSFILES) rmobj

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)

uscnf_0001.eps:
	echo 2 | ./uscnf -sw_fname=uscnf -sg_lcorner=.calse. -sw_ifl=2

=== doc/rakuraku/color/Makefile ===
#
#       Makefile for grph1/append
#

include ../../../Mkinclude

LIBOBJS	= color1
EPSFILES	= colormap1_0001.eps  colormap2_0001.eps  colormap3_0001.eps  colormap4_0001.eps  colormap5_0001.eps \
            colormap6_0001.eps  colormap7_0001.eps  colormap8_0001.eps  colormap9_0001.eps  colormap10_0001.eps \
            colormap11_0001.eps colormap12_0001.eps colormap13_0001.eps colormap14_0001.eps colormap15_0001.eps \
            colormap16_0001.eps colormap17_0001.eps colormap18_0001.eps colormap19_0001.eps colormap20_0001.eps \
            colormap21_0001.eps colormap22_0001.eps colormap23_0001.eps colormap24_0001.eps colormap25_0001.eps \
            colormap26_0001.eps colormap27_0001.eps colormap28_0001.eps colormap29_0001.eps colormap30_0001.eps \
            colormap31_0001.eps colormap32_0001.eps colormap33_0001.eps colormap34_0001.eps colormap35_0001.eps \
            colormap36_0001.eps colormap37_0001.eps colormap38_0001.eps colormap39_0001.eps colormap40_0001.eps \
            colormap41_0001.eps colormap42_0001.eps colormap43_0001.eps colormap44_0001.eps colormap45_0001.eps \
            colormap46_0001.eps colormap47_0001.eps colormap48_0001.eps colormap49_0001.eps colormap50_0001.eps \
            colormap51_0001.eps colormap52_0001.eps colormap53_0001.eps colormap54_0001.eps colormap55_0001.eps \
            colormap56_0001.eps colormap57_0001.eps colormap58_0001.eps colormap59_0001.eps colormap60_0001.eps \
            colormap61_0001.eps colormap62_0001.eps colormap63_0001.eps colormap64_0001.eps colormap65_0001.eps \
            colormap66_0001.eps colormap67_0001.eps colormap68_0001.eps colormap69_0001.eps colormap70_0001.eps \
            colormap71_0001.eps colormap72_0001.eps colormap73_0001.eps colormap74_0001.eps colormap75_0001.eps \
            colormap76_0001.eps colormap77_0001.eps colormap78_0001.eps





all: mkobj $(EPSFILES) rmobj

mkobj: $(LIBOBJS)

rmobj:
	$(RM) $(LIBOBJS)


colormap1_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap1 -sg_lcorner=.calse. -sw_iclrmap=1 -sw_ifl=2

colormap2_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap2 -sg_lcorner=.calse. -sw_iclrmap=2 -sw_ifl=2

colormap3_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap3 -sg_lcorner=.calse. -sw_iclrmap=3 -sw_ifl=2

colormap4_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap4 -sg_lcorner=.calse. -sw_iclrmap=4 -sw_ifl=2

colormap5_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap5 -sg_lcorner=.calse. -sw_iclrmap=5 -sw_ifl=2

colormap6_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap6 -sg_lcorner=.calse. -sw_iclrmap=6 -sw_ifl=2

colormap7_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap7 -sg_lcorner=.calse. -sw_iclrmap=7 -sw_ifl=2

colormap8_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap8 -sg_lcorner=.calse. -sw_iclrmap=8 -sw_ifl=2

colormap9_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap9 -sg_lcorner=.calse. -sw_iclrmap=9 -sw_ifl=2

colormap10_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap10 -sg_lcorner=.calse. -sw_iclrmap=10 -sw_ifl=2

colormap11_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap11 -sg_lcorner=.calse. -sw_iclrmap=11 -sw_ifl=2

colormap12_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap12 -sg_lcorner=.calse. -sw_iclrmap=12 -sw_ifl=2

colormap13_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap13 -sg_lcorner=.calse. -sw_iclrmap=13 -sw_ifl=2

colormap14_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap14 -sg_lcorner=.calse. -sw_iclrmap=14 -sw_ifl=2

colormap15_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap15 -sg_lcorner=.calse. -sw_iclrmap=15 -sw_ifl=2

colormap16_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap16 -sg_lcorner=.calse. -sw_iclrmap=16 -sw_ifl=2

colormap17_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap17 -sg_lcorner=.calse. -sw_iclrmap=17 -sw_ifl=2

colormap18_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap18 -sg_lcorner=.calse. -sw_iclrmap=18 -sw_ifl=2

colormap19_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap19 -sg_lcorner=.calse. -sw_iclrmap=19 -sw_ifl=2

colormap20_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap20 -sg_lcorner=.calse. -sw_iclrmap=20 -sw_ifl=2

colormap21_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap21 -sg_lcorner=.calse. -sw_iclrmap=21 -sw_ifl=2

colormap22_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap22 -sg_lcorner=.calse. -sw_iclrmap=22 -sw_ifl=2

colormap23_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap23 -sg_lcorner=.calse. -sw_iclrmap=23 -sw_ifl=2

colormap24_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap24 -sg_lcorner=.calse. -sw_iclrmap=24 -sw_ifl=2

colormap25_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap25 -sg_lcorner=.calse. -sw_iclrmap=25 -sw_ifl=2

colormap26_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap26 -sg_lcorner=.calse. -sw_iclrmap=26 -sw_ifl=2

colormap27_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap27 -sg_lcorner=.calse. -sw_iclrmap=27 -sw_ifl=2

colormap28_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap28 -sg_lcorner=.calse. -sw_iclrmap=28 -sw_ifl=2

colormap29_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap29 -sg_lcorner=.calse. -sw_iclrmap=29 -sw_ifl=2

colormap30_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap30 -sg_lcorner=.calse. -sw_iclrmap=30 -sw_ifl=2

colormap31_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap31 -sg_lcorner=.calse. -sw_iclrmap=31 -sw_ifl=2

colormap32_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap32 -sg_lcorner=.calse. -sw_iclrmap=32 -sw_ifl=2

colormap33_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap33 -sg_lcorner=.calse. -sw_iclrmap=33 -sw_ifl=2

colormap34_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap34 -sg_lcorner=.calse. -sw_iclrmap=34 -sw_ifl=2

colormap35_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap35 -sg_lcorner=.calse. -sw_iclrmap=35 -sw_ifl=2

colormap36_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap36 -sg_lcorner=.calse. -sw_iclrmap=36 -sw_ifl=2

colormap37_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap37 -sg_lcorner=.calse. -sw_iclrmap=37 -sw_ifl=2

colormap38_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap38 -sg_lcorner=.calse. -sw_iclrmap=38 -sw_ifl=2

colormap39_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap39 -sg_lcorner=.calse. -sw_iclrmap=39 -sw_ifl=2

colormap40_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap40 -sg_lcorner=.calse. -sw_iclrmap=40 -sw_ifl=2

colormap41_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap41 -sg_lcorner=.calse. -sw_iclrmap=41 -sw_ifl=2

colormap42_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap42 -sg_lcorner=.calse. -sw_iclrmap=42 -sw_ifl=2

colormap43_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap43 -sg_lcorner=.calse. -sw_iclrmap=43 -sw_ifl=2

colormap44_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap44 -sg_lcorner=.calse. -sw_iclrmap=44 -sw_ifl=2

colormap45_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap45 -sg_lcorner=.calse. -sw_iclrmap=45 -sw_ifl=2

colormap46_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap46 -sg_lcorner=.calse. -sw_iclrmap=46 -sw_ifl=2

colormap47_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap47 -sg_lcorner=.calse. -sw_iclrmap=47 -sw_ifl=2

colormap48_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap48 -sg_lcorner=.calse. -sw_iclrmap=48 -sw_ifl=2

colormap49_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap49 -sg_lcorner=.calse. -sw_iclrmap=49 -sw_ifl=2

colormap50_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap50 -sg_lcorner=.calse. -sw_iclrmap=50 -sw_ifl=2

colormap51_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap51 -sg_lcorner=.calse. -sw_iclrmap=51 -sw_ifl=2

colormap52_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap52 -sg_lcorner=.calse. -sw_iclrmap=52 -sw_ifl=2

colormap53_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap53 -sg_lcorner=.calse. -sw_iclrmap=53 -sw_ifl=2

colormap54_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap54 -sg_lcorner=.calse. -sw_iclrmap=54 -sw_ifl=2

colormap55_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap55 -sg_lcorner=.calse. -sw_iclrmap=55 -sw_ifl=2

colormap56_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap56 -sg_lcorner=.calse. -sw_iclrmap=56 -sw_ifl=2

colormap57_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap57 -sg_lcorner=.calse. -sw_iclrmap=57 -sw_ifl=2

colormap58_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap58 -sg_lcorner=.calse. -sw_iclrmap=58 -sw_ifl=2

colormap59_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap59 -sg_lcorner=.calse. -sw_iclrmap=59 -sw_ifl=2

colormap60_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap60 -sg_lcorner=.calse. -sw_iclrmap=60 -sw_ifl=2

colormap61_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap61 -sg_lcorner=.calse. -sw_iclrmap=61 -sw_ifl=2

colormap62_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap62 -sg_lcorner=.calse. -sw_iclrmap=62 -sw_ifl=2

colormap63_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap63 -sg_lcorner=.calse. -sw_iclrmap=63 -sw_ifl=2

colormap64_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap64 -sg_lcorner=.calse. -sw_iclrmap=64 -sw_ifl=2

colormap65_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap65 -sg_lcorner=.calse. -sw_iclrmap=65 -sw_ifl=2

colormap66_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap66 -sg_lcorner=.calse. -sw_iclrmap=66 -sw_ifl=2

colormap67_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap67 -sg_lcorner=.calse. -sw_iclrmap=67 -sw_ifl=2

colormap68_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap68 -sg_lcorner=.calse. -sw_iclrmap=68 -sw_ifl=2

colormap69_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap69 -sg_lcorner=.calse. -sw_iclrmap=69 -sw_ifl=2

colormap70_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap70 -sg_lcorner=.calse. -sw_iclrmap=70 -sw_ifl=2

colormap71_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap71 -sg_lcorner=.calse. -sw_iclrmap=71 -sw_ifl=2

colormap72_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap72 -sg_lcorner=.calse. -sw_iclrmap=72 -sw_ifl=2

colormap73_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap73 -sg_lcorner=.calse. -sw_iclrmap=73 -sw_ifl=2

colormap74_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap74 -sg_lcorner=.calse. -sw_iclrmap=74 -sw_ifl=2

colormap75_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap75 -sg_lcorner=.calse. -sw_iclrmap=75 -sw_ifl=2

colormap76_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap76 -sg_lcorner=.calse. -sw_iclrmap=76 -sw_ifl=2

colormap77_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap77 -sg_lcorner=.calse. -sw_iclrmap=77 -sw_ifl=2

colormap78_0001.eps:
	echo 2  | ./color1 -sw_fname=colormap78 -sg_lcorner=.calse. -sw_iclrmap=78 -sw_ifl=2

=== src/grph1/slpack/Makefile ===
#
#       Makefile for slpack
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= slpack
LIBFSRCS	= slinit.c sldiv.c  slmgn.c  slrat.c  slqrct.c slpage.c \
		  slpcnr.c slsttl.c sltlcv.c slpvpr.c slpwwr.c slpwvr.c \
		  slpvpc.c slpwwc.c slpwvc.c slzttl.c sldivz.c slmgnz.c \
		  slratz.c slqsiz.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= slinit.o sldiv.o  slmgn.o  slrat.o  slqrct.o slpage.o \
		  slpcnr.o slsttl.o sltlcv.o slpvpr.o slpwwr.o slpwvr.o \
		  slpvpc.o slpwwc.o slpwvc.o slzttl.o sldivz.o slmgnz.o \
		  slratz.o slqsiz.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/grph2/oldsrc/Makefile ===
#
#       Makefile for oldsrc
#
#       Copyright (C) 2000-2016 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= oldsrc
LIBFSRCS	= ubpget.c ubplu.c  ubplzu.c ubplzv.c udsgxa.c udsgya.c \
		  uesgxa.c uesgya.c uflnu.c  uflnzr.c uflnzu.c uflnzv.c \
		  ufpget.c ugsgxa.c ugsgya.c umpout.c umstrf.c ussntr.c \
		  ussvpt.c usswnd.c uspget.c usgrpx.c usgrpy.c ussxex.c \
		  ussyex.c usaxis.c usstrf.c usurdu.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= ubpget.o ubplu.o  ubplzu.o ubplzv.o udsgxa.o udsgya.o \
		  uesgxa.o uesgya.o uflnu.o  uflnzr.o uflnzu.o uflnzv.o \
		  ufpget.o ugsgxa.o ugsgya.o umpout.o umstrf.o ussntr.o \
		  ussvpt.o usswnd.o uspget.o usgrpx.o usgrpy.o ussxex.o \
		  ussyex.o usaxis.o usstrf.o usurdu.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl-c (7.1.3-1+0~20161130092850.26~1.gbp17e4a1) unstable; urgency=medium

  ** SNAPSHOT build @17e4a186271fef526a28a3566449b992a6e48ec6 **

  [ Youhei SASAKI ]
  * Refresh patches, Add Replace-MAIN__-to-main.patch

  [ Jenkins Autobuilder ]

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Wed, 30 Nov 2016 18:28:52 +0900

dcl-c (7.1.3-1) unstable; urgency=medium

  * Upload Debian unstable (Closes: #841402)
  * New upstream version 7.1.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 30 Nov 2016 17:15:06 +0900

dcl-c (7.1.2-1) unstable; urgency=medium

  * New upstream version 7.1.2

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 20 Oct 2016 18:23:37 +0900

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,9 @@
 	libglib2.0-dev
 Standards-Version: 3.9.8
 Homepage: http://www.gfd-dennou.org/library/dcl
+Vcs-Git: https://anonscm.debian.org/git/users/uwabami-guest/dcl-c.git
+Vcs-Browser: https://anonscm.debian.org/git/users/uwabami-guest/dcl-c.git
+
 
 Package: dcl-c
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DPKG_EXPORT_BUILDFLAGS=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/buildflags.mk
FFLAGS += -fPIC
CFLAGS += -fPIC
DCLVERNUM=7.1.3
DCLVER=713

%:
	dh $@

override_dh_auto_configure:
	$(shell ! grep -q jessie /etc/os-release || \
	  echo "activate-noawait ldconfig" > $(CURDIR)/debian/libcdcl7.triggers )
	CC=gcc dh_auto_configure --

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	rm $(CURDIR)/debian/tmp/usr/bin/cdclconfig
	mv $(CURDIR)/debian/tmp/usr/bin/cdclconfig$(DCLVER) \
	  $(CURDIR)/debian/tmp/usr/bin/cdclconfig
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf2c4dcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.$(DCLVERNUM) \
	  `find $(CURDIR)/f2csrc -name \*.o`
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libcdcl.so.7 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.$(DCLVERNUM) \
	  `find $(CURDIR)/src -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libcdcl.so.$(DCLVERNUM) libcdcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libcdcl.so.$(DCLVERNUM) libcdcl.so )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf2c4dcl.so.$(DCLVERNUM) libf2c4dcl.so.7 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; \
	  ln -s libf2c4dcl.so.$(DCLVERNUM) libf2c4dcl.so )

override_dh_install:
	dh_install --sourcedir=debian/tmp
	sed -i -e 's%-fdebug-prefix-map=$(CURDIR)=.%%g ' \
	  $(CURDIR)/debian/libcdcl-dev/usr/bin/cdclconfig
	cp -ar demo $(CURDIR)/debian/dcl-c-docs/usr/share/doc/dcl-c-docs/
	cp -ar doc $(CURDIR)/debian/dcl-c-docs/usr/share/doc/dcl-c-docs/
	find $(CURDIR)/debian/dcl-c-docs/ -name Makefile.win | xargs rm -f

override_dh_auto_clean:
	[ ! -f Mkinclude ] || $(MAKE) distclean
	dh_auto_clean
	rm -f $(CURDIR)/debian/*.1
	rm -f $(CURDIR)/bin/cdclpsseparate
	rm -f $(CURDIR)/bin/cdclpsunrot

override_dh_compress:
	dh_compress -X.png -X.f -X.dat

override_dh_installchangelogs:
	dh_installchangelogs --all --keep HISTORY

override_dh_installdocs:
	dh_installdocs -A README CREDITS
